Package org.opensaml.security.x509

# Class X509SubjectKeyIdentifierCriterion

java.lang.Object
org.opensaml.security.x509.X509SubjectKeyIdentifierCriterion

All Implemented Interfaces:
  `Criterion`

public final class X509SubjectKeyIdentifierCriterion extends Object implements Criterion
An implementation of `Criterion` which specifies criteria based on X.509 certificate subject key identifier.

## Field Summary

Fields
Modifier and Type
Field
Description
`private byte[]`
`subjectKeyIdentifier`
X.509 certificate subject key identifier.

## Constructor Summary

Constructors
Constructor
Description
`X509SubjectKeyIdentifierCriterion(byte[] ski)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`byte[]`
`getSubjectKeyIdentifier()`
Get the subject key identifier.
`int`
`hashCode()`
`void`
`setSubjectKeyIdentifier(byte[] ski)`
Set the subject key identifier.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### subjectKeyIdentifier

@Nonnull private byte[] subjectKeyIdentifier
X.509 certificate subject key identifier.

## Constructor Details

### X509SubjectKeyIdentifierCriterion

public X509SubjectKeyIdentifierCriterion(@Nonnull byte[] ski)
Constructor.

Parameters:
  `ski` - certificate subject key identifier

## Method Details

### getSubjectKeyIdentifier

@Nonnull public byte[] getSubjectKeyIdentifier()
Get the subject key identifier.

Returns:
  Returns the subject key identifier

### setSubjectKeyIdentifier

public void setSubjectKeyIdentifier(@Nonnull byte[] ski)
Set the subject key identifier.

Parameters:
  `ski` - The subject key identifier to set.

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`